Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | List of all members
Thread Class Reference

This class implements an approximation of java.util.Thread. More...

## Public Member Functions
| Thread ()
| Create new instance. More...
| ~Thread ()
| Destructor. More...
void | run (Runnable start, void *data)
| Runs the specified method on a newly created thread. More...
void | join ()
bool | isActive ()
void | interrupt ()
| Sets interrupted status to true. More...
bool | isAlive ()
bool | isCurrentThread () const
void | ending ()

## Static Public Member Functions
static void | sleep (int millis)
| Causes the currently executing thread to sleep for the specified number of milliseconds. More...
static void | currentThreadInterrupt ()
| Sets interrupted status for current thread to true. More...
static bool | interrupted ()
| Tests if the current thread has been interrupted and sets the interrupted status to false. More...

## Detailed Description

This class implements an approximation of java.util.Thread.

## Constructor & Destructor Documentation

Thread | ( |  | ) |

Create new instance.

~Thread | ( |  | ) |

Destructor.

## Member Function Documentation

static void currentThreadInterrupt | ( |  | ) |
| static

Sets interrupted status for current thread to true.

void ending | ( |  | ) |

void interrupt | ( |  | ) |

Sets interrupted status to true.

static bool interrupted | ( |  | ) |
| static

Tests if the current thread has been interrupted and sets the interrupted status to false.

bool isActive | ( |  | ) |
| inline

bool isAlive | ( |  | ) |

bool isCurrentThread | ( |  | ) | const

void join | ( |  | ) |

void run | ( | Runnable | start,
|  | void * | data
| ) |  |

Runs the specified method on a newly created thread.

static void sleep | ( | int | millis | ) |
| static

Causes the currently executing thread to sleep for the specified number of milliseconds.

Parameters

  millis | milliseconds.

Exceptions

  Interrupted | Exception if the thread is interrupted.

The documentation for this class was generated from the following file:

- thread.h